Main Page Widgets Namespaces Book

# Glib::ThreadPool Class Reference
[Thread Pools]

List of all members.

## Public Methods

| ThreadPool (int max_threads=-1, bool exclusive=false)

Exceptions:

  Glib::ThreadError |

virtual | ~ThreadPool ()
void | push (const SigC::Slot0<void>& slot)

Exceptions:

  Glib::ThreadError |

void | set_max_threads (int max_threads)

Exceptions:

  Glib::ThreadError |

int | get_max_threads () const
unsigned int | get_num_threads () const
unsigned int | unprocessed () const
void | shutdown (bool immediately=false)
GThreadPool* | gobj ()
const GThreadPool* | gobj () const

## Static Public Methods

void | set_max_unused_threads (int max_threads)
int | get_max_unused_threads ()
unsigned int | get_num_unused_threads ()
void | stop_unused_threads ()

## Constructor & Destructor Documentation

Glib::ThreadPool::ThreadPool | ( | int | max_threads = -1,
|  | bool | exclusive = false
| ) | `[explicit]`

Exceptions:

  Glib::ThreadError |

virtual Glib::ThreadPool::~ThreadPool | ( |  | ) | `[virtual]`

## Member Function Documentation

int Glib::ThreadPool::get_max_threads | ( |  | ) |

int Glib::ThreadPool::get_max_unused_threads | ( |  | ) | `[static]`

unsigned int Glib::ThreadPool::get_num_threads | ( |  | ) |

unsigned int Glib::ThreadPool::get_num_unused_threads | ( |  | ) | `[static]`

const GThreadPool* Glib::ThreadPool::gobj | ( |  | ) | const`[inline]`

GThreadPool* Glib::ThreadPool::gobj | ( |  | ) | `[inline]`

void Glib::ThreadPool::push | ( | const SigC::Slot0<void>& | slot | ) |

Exceptions:

  Glib::ThreadError |

void Glib::ThreadPool::set_max_threads | ( | int | max_threads | ) |

Exceptions:

  Glib::ThreadError |

void Glib::ThreadPool::set_max_unused_threads | ( | int | max_threads | ) | `[static]`

void Glib::ThreadPool::shutdown | ( | bool | immediately = false | ) |

void Glib::ThreadPool::stop_unused_threads | ( |  | ) | `[static]`

unsigned int Glib::ThreadPool::unprocessed | ( |  | ) |

The documentation for this class was generated from the following file:

- threadpool.h